---
- hosts: all
  gather_facts: true
    
- name: Config files
  hosts: files
  become: true
  gather_facts: true
  pre_tasks:
  - name: Wait for connection
    ansible.builtin.wait_for_connection:
  roles:
    - role: nfs
   
- name: Config WEB
  hosts: web
  become: true
  gather_facts: true
  pre_tasks:
    - name: Wait for connection
      ansible.builtin.wait_for_connection:
  roles:
    - role: nfs
    - role: docker
    - role: nginx